## systray-x-0.9.11.tar.gz

=== Makefile ===
SYSTEM = 
ifeq (Cygwin,$(shell uname -o))
 SYSTEM = Windows
else
ifeq (GNU/Linux,$(shell uname -o))
 SYSTEM = Linux
 
  QMAKE = qmake-qt5
  ifeq (, $(shell which qmake-qt5 2>/dev/null))
   QMAKE = qmake6
   ifeq (, $(shell which qmake6 2>/dev/null))
    ifeq (, $(shell which qmake 2>/dev/null))
      $(error "No qmake in $(PATH)")
    endif
    QMAKE = qmake
   endif
  endif
else
 $(error "Unknown system")
endif
endif

#OPTIONS = "DEFINES += NO_KDE_INTEGRATION"

.PHONY:	clean \
	systray-x-xpi \
	systray-x-app

DATE := `date --utc +'%a %b %_d %H:%M:%S UTC %Y'`

BUILD_NUMBER := $(shell git rev-list --count HEAD)
GIT_HASH := $(shell git rev-parse HEAD)
GIT_BRANCH := $(shell git rev-parse --abbrev-ref HEAD)

GIT_VERSION_LONG := $(shell git describe --long)
GIT_VERSION := $(shell git describe --long | sed "s/-.*//")


all: systray-x-xpi systray-x-app

clean:
	@echo "Deleting all XPI and app objects" ;\
	rm -f *.xpi ;\
	rm -f SysTray-X ;\
	rm -rf app/build ;\
	rm -rf app/build32 ;\
	rm -rf app/build64 ;\
	rm -rf app/build-* ;\
	rm -rf app/dist* ;\

systray-x-xpi:
	@echo "Creating systray-x@Ximi1970.xpi" ;\
	rm -f systray-x@Ximi1970.xpi ;\
	cd webext ;\
	zip ../systray-x@Ximi1970.xpi -qr * ;\
	cd ..

ifeq (Linux,$(SYSTEM))
systray-x-app:
	@echo "Creating systray-x app" ;\
	rm -f SysTray-X ;\
	mkdir -p app/build ;\
	cd app/build ;\
	$(QMAKE) $(EXT_VERSION) $(OPTIONS) ../SysTray-X/SysTray-X.pro ;\
	make ;\
	cd ../.. ;\
	cp app/build/SysTray-X-app/SysTray-X .
else
systray-x-app:
	@echo "Creating systray-x app" ;\
	rm -f SysTray-X ;\
	mkdir -p app/build32 ;\
	mkdir -p app/dist/win32 ;\
	cd app/build32 ;\
	../build.bat x86 5.15.2 ;\
	cd ../.. ;\
	mkdir -p app/build64 ;\
	cd app/build64 ;\
	../build.bat x86_64 5.15.2 ;\
	cd ../..
endif

=== dist/arch/gnome/PKGBUILD ===
# Maintainer: Maxime Rijnders <ximi.obs@gmail.com>

pkgname=systray-x-gnome
pkgver=0.9.11
pkgrel=1
epoch=1
pkgdesc='A system tray extension for Thunderbird (GNOME)'
arch=(x86_64)
url=https://github.com/Ximi1970/systray-x
license=(MPL-2.0)
depends=(
  'qt6-base'
  'qt6-wayland'
  'gnome-shell-extension-appindicator'
  'thunderbird>=91'
  'thunderbird<137'
)
makedepends=(
  'git'
  'unzip'
  'zip'
  'libx11'
  'qt6-base'
)
provides=(
  'systray-x'
)
source=($pkgname-$pkgver.tar.xz)
sha256sums=(SKIP)
install=systray-x-gnome.install

build() {
  cd $pkgname-$pkgver
  
  export VERSION=$(cat dist/rpm/VERSION | grep VERSION | sed -e "s/VERSION=\(.*\)/\1/")
  
  export VERSION_MAJOR=$(echo $VERSION | cut -d'.' -f1)
  export VERSION_MINOR=$(echo $VERSION | cut -d'.' -f2)
  export VERSION_PATCH=$(echo $VERSION | cut -d'.' -f3)

  export BUILD_NUMBER=$(cat dist/rpm/VERSION | grep BUILD_NUMBER | sed -e "s/BUILD_NUMBER=\(.*\)/\1/")
  export GIT_HASH=$(cat dist/rpm/VERSION | grep GIT_HASH | sed -e "s/GIT_HASH=\(.*\)/\1/")
  export GIT_BRANCH=$(cat dist/rpm/VERSION | grep GIT_BRANCH | sed -e "s/GIT_BRANCH=\(.*\)/\1/")

  sed < app/config/linux/SysTray_X.json.template -e 's|SYSTRAY_X_PATH|/usr/bin/SysTray-X|' > SysTray_X.json

  make OPTIONS="DEFINES+=NO_KDE_INTEGRATION DEFINES+=NO_SWHORTCUTS" EXT_VERSION="DEFINES+=EXT_VERSION DEFINES+=APP_VERSION_MAJOR=\\\\\\\\\\\\\\\"$VERSION_MAJOR\\\\\\\\\\\\\\\" DEFINES+=APP_VERSION_MINOR=\\\\\\\\\\\\\\\"$VERSION_MINOR\\\\\\\\\\\\\\\" DEFINES+=APP_VERSION_PATCH=\\\\\\\\\\\\\\\"$VERSION_PATCH\\\\\\\\\\\\\\\" DEFINES+=APP_BUILD=\\\\\\\\\\\\\\\"$BUILD_NUMBER\\\\\\\\\\\\\\\" DEFINES+=APP_GITHASH=\\\\\\\\\\\\\\\"$GIT_HASH\\\\\\\\\\\\\\\" DEFINES+=APP_GITBRANCH=\\\\\\\\\\\\\\\"$GIT_BRANCH\\\\\\\\\\\\\\\""
}

package() {
	mkdir -p "${pkgdir}"/usr/bin
	cp -f ${pkgname}-${pkgver}/SysTray-X "${pkgdir}"/usr/bin/SysTray-X
	
	mkdir -p "${pkgdir}"/usr/lib/mozilla/native-messaging-hosts
	cp -f ${pkgname}-${pkgver}/SysTray_X.json "${pkgdir}"/usr/lib/mozilla/native-messaging-hosts/SysTray_X.json

	mkdir -p "${pkgdir}"/usr/lib/thunderbird/distribution/extensions
	cp -f ${pkgname}-${pkgver}/systray-x@Ximi1970.xpi "${pkgdir}"/usr/lib//thunderbird/distribution/extensions/systray-x@Ximi1970.xpi
}

=== dist/arch/kde/PKGBUILD ===
# Maintainer: Maxime Rijnders <ximi.obs@gmail.com>

pkgname=systray-x
pkgver=0.9.11
pkgrel=1
epoch=1
pkgdesc='A system tray extension for Thunderbird (KDE)'
arch=(x86_64)
url=https://github.com/Ximi1970/systray-x
license=(MPL-2.0)
depends=(
  'qt6-base'
  'qt6-wayland'
  'kstatusnotifieritem'
  'thunderbird>=91'
  'thunderbird<137'
)
makedepends=(
  'git'
  'unzip'
  'zip'
  'libx11'
  'qt6-base'
  'kstatusnotifieritem'
)
provides=(
  'systray-x'
)
source=($pkgname-$pkgver.tar.xz)
sha256sums=(SKIP)

build() {
  cd $pkgname-$pkgver
  
  export VERSION=$(cat dist/rpm/VERSION | grep VERSION | sed -e "s/VERSION=\(.*\)/\1/")
  
  export VERSION_MAJOR=$(echo $VERSION | cut -d'.' -f1)
  export VERSION_MINOR=$(echo $VERSION | cut -d'.' -f2)
  export VERSION_PATCH=$(echo $VERSION | cut -d'.' -f3)

  export BUILD_NUMBER=$(cat dist/rpm/VERSION | grep BUILD_NUMBER | sed -e "s/BUILD_NUMBER=\(.*\)/\1/")
  export GIT_HASH=$(cat dist/rpm/VERSION | grep GIT_HASH | sed -e "s/GIT_HASH=\(.*\)/\1/")
  export GIT_BRANCH=$(cat dist/rpm/VERSION | grep GIT_BRANCH | sed -e "s/GIT_BRANCH=\(.*\)/\1/")

  sed < app/config/linux/SysTray_X.json.template -e 's|SYSTRAY_X_PATH|/usr/bin/SysTray-X|' > SysTray_X.json

  make EXT_VERSION="DEFINES+=EXT_VERSION DEFINES+=APP_VERSION_MAJOR=\\\\\\\\\\\\\\\"$VERSION_MAJOR\\\\\\\\\\\\\\\" DEFINES+=APP_VERSION_MINOR=\\\\\\\\\\\\\\\"$VERSION_MINOR\\\\\\\\\\\\\\\" DEFINES+=APP_VERSION_PATCH=\\\\\\\\\\\\\\\"$VERSION_PATCH\\\\\\\\\\\\\\\" DEFINES+=APP_BUILD=\\\\\\\\\\\\\\\"$BUILD_NUMBER\\\\\\\\\\\\\\\" DEFINES+=APP_GITHASH=\\\\\\\\\\\\\\\"$GIT_HASH\\\\\\\\\\\\\\\" DEFINES+=APP_GITBRANCH=\\\\\\\\\\\\\\\"$GIT_BRANCH\\\\\\\\\\\\\\\""
}

package() {
	mkdir -p "${pkgdir}"/usr/bin
	cp -f ${pkgname}-${pkgver}/SysTray-X "${pkgdir}"/usr/bin/SysTray-X
	
	mkdir -p "${pkgdir}"/usr/lib/mozilla/native-messaging-hosts
	cp -f ${pkgname}-${pkgver}/SysTray_X.json "${pkgdir}"/usr/lib/mozilla/native-messaging-hosts/SysTray_X.json

	mkdir -p "${pkgdir}"/usr/lib/thunderbird/distribution/extensions
	cp -f ${pkgname}-${pkgver}/systray-x@Ximi1970.xpi "${pkgdir}"/usr/lib//thunderbird/distribution/extensions/systray-x@Ximi1970.xpi
}

=== dist/arch/minimal/PKGBUILD ===
# Maintainer: Maxime Rijnders <ximi.obs@gmail.com>

pkgname=systray-x-minimal
pkgver=0.9.11
pkgrel=1
epoch=1
pkgdesc='A system tray extension for Thunderbird (Unity/XFCE/other)'
arch=(x86_64)
url=https://github.com/Ximi1970/systray-x
license=(MPL-2.0)
depends=(
  'qt6-base'
  'qt6-wayland'
  'thunderbird>=91'
  'thunderbird<137'
)
makedepends=(
  'git'
  'unzip'
  'zip'
  'libx11'
  'qt6-base'
)
provides=(
  'systray-x'
)
source=($pkgname-$pkgver.tar.xz)
sha256sums=(SKIP)

build() {
  cd $pkgname-$pkgver
  
  export VERSION=$(cat dist/rpm/VERSION | grep VERSION | sed -e "s/VERSION=\(.*\)/\1/")
  
  export VERSION_MAJOR=$(echo $VERSION | cut -d'.' -f1)
  export VERSION_MINOR=$(echo $VERSION | cut -d'.' -f2)
  export VERSION_PATCH=$(echo $VERSION | cut -d'.' -f3)

  export BUILD_NUMBER=$(cat dist/rpm/VERSION | grep BUILD_NUMBER | sed -e "s/BUILD_NUMBER=\(.*\)/\1/")
  export GIT_HASH=$(cat dist/rpm/VERSION | grep GIT_HASH | sed -e "s/GIT_HASH=\(.*\)/\1/")
  export GIT_BRANCH=$(cat dist/rpm/VERSION | grep GIT_BRANCH | sed -e "s/GIT_BRANCH=\(.*\)/\1/")

  sed < app/config/linux/SysTray_X.json.template -e 's|SYSTRAY_X_PATH|/usr/bin/SysTray-X|' > SysTray_X.json

  make OPTIONS="DEFINES+=NO_KDE_INTEGRATION" EXT_VERSION="DEFINES+=EXT_VERSION DEFINES+=APP_VERSION_MAJOR=\\\\\\\\\\\\\\\"$VERSION_MAJOR\\\\\\\\\\\\\\\" DEFINES+=APP_VERSION_MINOR=\\\\\\\\\\\\\\\"$VERSION_MINOR\\\\\\\\\\\\\\\" DEFINES+=APP_VERSION_PATCH=\\\\\\\\\\\\\\\"$VERSION_PATCH\\\\\\\\\\\\\\\" DEFINES+=APP_BUILD=\\\\\\\\\\\\\\\"$BUILD_NUMBER\\\\\\\\\\\\\\\" DEFINES+=APP_GITHASH=\\\\\\\\\\\\\\\"$GIT_HASH\\\\\\\\\\\\\\\" DEFINES+=APP_GITBRANCH=\\\\\\\\\\\\\\\"$GIT_BRANCH\\\\\\\\\\\\\\\""
}

package() {
	mkdir -p "${pkgdir}"/usr/bin
	cp -f ${pkgname}-${pkgver}/SysTray-X "${pkgdir}"/usr/bin/SysTray-X
	
	mkdir -p "${pkgdir}"/usr/lib/mozilla/native-messaging-hosts
	cp -f ${pkgname}-${pkgver}/SysTray_X.json "${pkgdir}"/usr/lib/mozilla/native-messaging-hosts/SysTray_X.json

	mkdir -p "${pkgdir}"/usr/lib/thunderbird/distribution/extensions
	cp -f ${pkgname}-${pkgver}/systray-x@Ximi1970.xpi "${pkgdir}"/usr/lib//thunderbird/distribution/extensions/systray-x@Ximi1970.xpi
}
